from zope.interface import Interface

from plone.theme.interfaces import IDefaultPloneLayer


class IThemeSpecific(IDefaultPloneLayer):
    """Marker interface that defines a Zope 3 browser layer.
    """

class ICodeView(Interface):
    """View class for the CSS / Javascript code
    """

    def getCode(self):
        """ Returns the locally defined code for the item """

    def setCode(self, css, js):
        """ Saves the locally defined code for the item """
