from zope.annotation.interfaces import IAnnotations
from persistent.dict import PersistentDict

from sixfeetup.placefulcode.config import CODE_MANAGER_PROPERTIES


class CodeManagerAdapter(object):
    """
    """

    def __init__(self, context):
        self.context = context
        self.annotations = IAnnotations(self.context)
        if self.annotations.get(CODE_MANAGER_PROPERTIES, None) is None:
            self.annotations[CODE_MANAGER_PROPERTIES] = PersistentDict()

    def getCode(self):
        return self.annotations[CODE_MANAGER_PROPERTIES]

    def setCode(self, css, js):
        self.annotations[CODE_MANAGER_PROPERTIES]['css'] = css
        self.annotations[CODE_MANAGER_PROPERTIES]['js'] = js

